FreeMat

- Main Page
- Related Pages

vtkXMLPPolyDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPPolyDataReader reads the PVTK XML PolyData file format. This reads the parallel format's summary file and then uses vtkXMLPolyDataReader to read data from the individual PolyData piece files. Streaming is supported. The standard extension for this reader's file format is "pvtp".

To create an instance of class vtkXMLPPolyDataReader, simply invoke its constructor as follows

      obj = vtkXMLPPolyDataReader

# Methods

The class vtkXMLPPolyDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPPolyDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPPolyDataReader = obj.NewInstance ()`
- `vtkXMLPPolyDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkPolyData = obj.GetOutput ()` - Get the reader's output.
- `vtkPolyData = obj.GetOutput (int idx)` - Get the reader's output.